"use strict";
var __createBinding = (this && this.__createBinding) || (Object.create ? (function(o, m, k, k2) {
    if (k2 === undefined) k2 = k;
    var desc = Object.getOwnPropertyDescriptor(m, k);
    if (!desc || ("get" in desc ? !m.__esModule : desc.writable || desc.configurable)) {
      desc = { enumerable: true, get: function() { return m[k]; } };
    }
    Object.defineProperty(o, k2, desc);
}) : (function(o, m, k, k2) {
    if (k2 === undefined) k2 = k;
    o[k2] = m[k];
}));
var __setModuleDefault = (this && this.__setModuleDefault) || (Object.create ? (function(o, v) {
    Object.defineProperty(o, "default", { enumerable: true, value: v });
}) : function(o, v) {
    o["default"] = v;
});
var __importStar = (this && this.__importStar) || function (mod) {
    if (mod && mod.__esModule) return mod;
    var result = {};
    if (mod != null) for (var k in mod) if (k !== "default" && Object.prototype.hasOwnProperty.call(mod, k)) __createBinding(result, mod, k);
    __setModuleDefault(result, mod);
    return result;
};
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
var React = __importStar(require("react"));
var react_native_1 = require("react-native");
var style_utils_1 = require("./style-utils");
var text_1 = __importDefault(require("./text"));
var CHIP_PRESETS = {
    outline: {
        backgroundColor: 'transparent',
        textColor: '#111827',
        borderColor: '#E5E7EB',
        borderWidth: 1,
    },
    neutralLow: {
        backgroundColor: '#F3F4F6',
        textColor: '#111827',
        borderColor: 'transparent',
        borderWidth: 0,
    },
    staticWhite: {
        backgroundColor: 'transparent',
        textColor: 'white',
        borderColor: 'white',
        borderWidth: 1,
    },
};
var SIZE_STYLES = {
    small: {
        height: 'h-[32px]',
        padding: 'px-[10px] py-[6px]',
        textProps: {
            face: 'body',
            size: 'small',
            weight: 'medium',
        },
    },
    medium: {
        height: 'h-[36px]',
        padding: 'px-[12px] py-[6px]',
        textProps: {
            face: 'body',
            size: 'medium',
            weight: 'medium',
        },
    },
};
function Chip(_a) {
    var _b = _a.variant, variant = _b === void 0 ? 'outline' : _b, _c = _a.size, size = _c === void 0 ? 'medium' : _c, _d = _a.shape, shape = _d === void 0 ? 'pill' : _d, text = _a.text, _e = _a.disabled, disabled = _e === void 0 ? false : _e, leftIcon = _a.leftIcon, rightIcon = _a.rightIcon, className = _a.className, style = _a.style, onPress = _a.onPress;
    var preset = CHIP_PRESETS[variant];
    var sizeStyle = SIZE_STYLES[size];
    var shapeClass = shape === 'pill' ? 'rounded-full' : 'rounded-lg';
    var getMarginStyle = function (gap, isLeft) {
        if (isLeft === void 0) { isLeft = true; }
        if (!gap)
            return {};
        if (typeof gap === 'number') {
            return isLeft ? { marginRight: gap } : { marginLeft: gap };
        }
        return { className: gap };
    };
    return (<react_native_1.TouchableOpacity activeOpacity={0.7} className={"\n        flex-row items-center justify-center\n        ".concat(sizeStyle.height, "\n        ").concat(sizeStyle.padding, "\n        ").concat(shapeClass, "\n        ").concat(disabled ? 'opacity-50' : '', "\n        ").concat(className || '', "\n      ")} style={[
            {
                backgroundColor: (0, style_utils_1.getColor)(preset.backgroundColor),
                borderWidth: preset.borderWidth,
                borderColor: (0, style_utils_1.getColor)(preset.borderColor),
            },
            style,
        ]} onPress={onPress} disabled={disabled}>
      <react_native_1.View className="flex-row items-center justify-center">
        {leftIcon && (<react_native_1.View {...getMarginStyle(leftIcon.gap, true)}>{leftIcon.icon}</react_native_1.View>)}

        <text_1.default {...sizeStyle.textProps} textColor={preset.textColor} className="px-[4px]">
          {text}
        </text_1.default>

        {rightIcon && (<react_native_1.View {...getMarginStyle(rightIcon.gap, false)}>
            {rightIcon.icon}
          </react_native_1.View>)}
      </react_native_1.View>
    </react_native_1.TouchableOpacity>);
}
exports.default = Chip;
//# sourceMappingURL=chip.js.map