"use strict";
var __createBinding = (this && this.__createBinding) || (Object.create ? (function(o, m, k, k2) {
    if (k2 === undefined) k2 = k;
    var desc = Object.getOwnPropertyDescriptor(m, k);
    if (!desc || ("get" in desc ? !m.__esModule : desc.writable || desc.configurable)) {
      desc = { enumerable: true, get: function() { return m[k]; } };
    }
    Object.defineProperty(o, k2, desc);
}) : (function(o, m, k, k2) {
    if (k2 === undefined) k2 = k;
    o[k2] = m[k];
}));
var __setModuleDefault = (this && this.__setModuleDefault) || (Object.create ? (function(o, v) {
    Object.defineProperty(o, "default", { enumerable: true, value: v });
}) : function(o, v) {
    o["default"] = v;
});
var __importStar = (this && this.__importStar) || function (mod) {
    if (mod && mod.__esModule) return mod;
    var result = {};
    if (mod != null) for (var k in mod) if (k !== "default" && Object.prototype.hasOwnProperty.call(mod, k)) __createBinding(result, mod, k);
    __setModuleDefault(result, mod);
    return result;
};
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
var React = __importStar(require("react"));
var react_native_1 = require("react-native");
var top_header_left_arrow_1 = require("./icons/top-header-left-arrow");
var text_1 = __importDefault(require("./text"));
var icon_button_1 = __importDefault(require("./icon-button"));
var SubPageHeader = React.forwardRef(function (_a, ref) {
    var height = _a.height, componentGap = _a.componentGap, title = _a.title, funcComponent = _a.funcComponent, backgroundColor = _a.backgroundColor, subTitle = _a.subTitle, subContent = _a.subContent, exitEvent = _a.exitEvent, exitIcon = _a.exitIcon;
    return (<>
        <react_native_1.View className={"flex w-full flex-row items-center justify-between px-[16px] ".concat(height ? height : 'h-[48px]')} ref={ref}>
          <icon_button_1.default icon={exitIcon || <top_header_left_arrow_1.TopHeaderLeftArrowIcon />} hitSlop={{ top: 8, bottom: 8, left: 8, right: 8 }} onPress={exitEvent}/>
          {title && (<react_native_1.View className="absolute left-0 right-0 flex items-center">
              {/* <Label value={title} labelClassName="text-[17px]" isLabelOnly /> */}
              <text_1.default face={'title'} size="small" weight="bold">
                {title}
              </text_1.default>
            </react_native_1.View>)}
          <react_native_1.View className="flex-1 flex flex-row items-center justify-end gap-4">
            {funcComponent &&
            funcComponent.map(function (comp, index) { return (<react_native_1.View key={index}>{comp}</react_native_1.View>); })}
          </react_native_1.View>
        </react_native_1.View>

        <react_native_1.View className={'px-[20px] mt-[16px]'}>
          {subTitle && subTitle.length > 0 && (<text_1.default face={'title'} size={'xlarge'} weight={'bold'} numberOfLines={2}>
              {subTitle}
            </text_1.default>)}
          {subContent && subContent.length > 0 && (<text_1.default face={'title'} size={'xsmall'} textColor={'gray-500'} weight="medium" numberOfLines={1}>
              {subContent}
            </text_1.default>)}
        </react_native_1.View>
      </>);
});
exports.default = SubPageHeader;
//# sourceMappingURL=sub-page-header.js.map